aboutsummaryrefslogtreecommitdiffstats
path: root/games/childsplay/files
diff options
context:
space:
mode:
authorpav <pav@FreeBSD.org>2005-04-24 21:31:36 +0800
committerpav <pav@FreeBSD.org>2005-04-24 21:31:36 +0800
commitd3293da69821ce94193ffe7db746ee7e7be622a7 (patch)
treeb7eeca10177130fc7e2e6f870a53cb7684af8419 /games/childsplay/files
parentec9c3d30cd94c56991b1c4ee3599879282fed002 (diff)
downloadfreebsd-ports-graphics-d3293da69821ce94193ffe7db746ee7e7be622a7.tar.gz
freebsd-ports-graphics-d3293da69821ce94193ffe7db746ee7e7be622a7.tar.zst
freebsd-ports-graphics-d3293da69821ce94193ffe7db746ee7e7be622a7.zip
- Update to 0.80.2
- Unbreak PR: ports/80167 Submitted by: bruno <bruno@mail.tinkerbox.org> (maintainer)
Diffstat (limited to 'games/childsplay/files')
-rw-r--r--games/childsplay/files/patch-INSTALL.sh107
-rw-r--r--games/childsplay/files/patch-Makefile43
-rw-r--r--games/childsplay/files/patch-cleanup.sh15
-rw-r--r--games/childsplay/files/patch-letter-trans.py12
-rw-r--r--games/childsplay/files/patch-letters.py15
-rw-r--r--games/childsplay/files/patch-pyassetml.py10
-rw-r--r--games/childsplay/files/patch-pyassetmlSDL.py13
7 files changed, 130 insertions, 85 deletions
diff --git a/games/childsplay/files/patch-INSTALL.sh b/games/childsplay/files/patch-INSTALL.sh
new file mode 100644
index 00000000000..67d84ca5157
--- /dev/null
+++ b/games/childsplay/files/patch-INSTALL.sh
@@ -0,0 +1,107 @@
+--- INSTALL.sh.orig Wed Apr 20 10:57:03 2005
++++ INSTALL.sh Wed Apr 20 11:02:16 2005
+@@ -1,5 +1,5 @@
+-#!/bin/bash
++#!/bin/sh
+ # install childsplay.
+ # Be aware that childsplay probably won't work when you edit this file :-(
+ # As of 11/2004 childsplay will be converted to follow the File System
+ # Hierarchy (FSH).
+@@ -21,16 +21,15 @@
+ PYTHON=`which python`
+
+ EXECDIR=$PREFIX/bin
+ LOCALEDIR=$PREFIX/share/locale
+-ASSETMLDIR=/usr/share/assetml
++ASSETMLDIR=$PREFIX/share/gnome/assetml
+ SCOREDIR=/var/games
+ SCOREFILE=$SCOREDIR/childsplay.score
+ DOCDIR=$PREFIX/share/doc/childsplay
+ MANDIR=$PREFIX/man/man6
+-CPDIR=$PREFIX/lib/games/childsplay
++CPDIR=$PREFIX/childsplay
+ SHAREDIR=$PREFIX/share/childsplay
+-BINDIR=$PREFIX/games
+ LIBDIR=$CPDIR/lib
+ MODULESDIR=$LIBDIR
+ SHARELIBDATADIR=$SHAREDIR/lib
+ SHAREDATADIR=$SHAREDIR/Data
+@@ -38,10 +37,8 @@
+
+ HOME_DIR_NAME=.childsplay
+ CHILDSPLAYRC=childsplayrc
+
+-OLDCPDIR=$PREFIX/games/childsplay
+-
+ echo "Making directorys"
+ mkdir -vp $CPDIR
+ mkdir -vp $CPDIR/lib
+ mkdir -vp $DOCDIR
+@@ -51,9 +48,8 @@
+ mkdir -vp $MANDIR
+ mkdir -vp $SHAREDIR
+ mkdir -vp $SHAREDATADIR
+ mkdir -vp $SHARELIBDATADIR
+-mkdir -vp $BINDIR
+ mkdir -vp $EXECDIR
+
+ set -e
+
+@@ -63,13 +59,8 @@
+ echo " You must be root to install the plugins"
+ echo " exit"
+ exit 1
+ fi
+-echo " Looking for obsolete childsplay files in $OLDCPDIR"
+-if [ -e $OLDCPDIR ] && [ -d $OLDCPDIR ]
+-then rm -fr $OLDCPDIR
+- echo " Old files removed"
+-fi
+
+ echo -e "\n>>>>>>>>>>> Install childsplay >>>>>>>>>>>>>>>>>>>>"
+ echo " Installing in $PREFIX"
+
+@@ -83,8 +74,9 @@
+ fi
+ done
+
+ cp -f $CWD/*.py $CPDIR/
++cp -f $CWD/*.pyc $CPDIR/
+
+ echo " Copy misc. data files"
+ for FILE in `ls $CWD/Data`
+ do
+@@ -113,22 +105,14 @@
+ echo " Copy docs"
+ cp -rf $CWD/doc/* $DOCDIR/
+
+ echo " Copy executable and setting permissions."
+-cp -f $CWD/childsplay.sh $BINDIR/childsplay
+ cp -f $CWD/childsplay.sh $EXECDIR/childsplay
+-chmod +x $BINDIR/childsplay
+ chmod +x $EXECDIR/childsplay
+
+ chmod +x $CPDIR/childsplay.py
+ chmod +x $CPDIR/letters-trans.py
+
+-#echo " Looking for the old executable, if any"
+-#if [ -e /usr/local/bin/childsplay ]
+-#then rm -f /usr/local/bin/childsplay
+-# echo "found and removed"
+-#fi
+-
+ echo " Setting the base path in childsplay to $PREFIX"
+ echo "## Automated file please do not edit" > $CPDIR/BASEPATH.py
+ echo "BASEPATH=\"$PREFIX\"" >> $CPDIR/BASEPATH.py
+ echo "EXECDIR=\"$EXECDIR\"" >> $CPDIR/BASEPATH.py
+@@ -157,9 +141,9 @@
+ echo ""
+ echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
+ echo " One thing left todo..."
+ echo " Translating words"
+-$PYTHON $CPDIR/letters-trans.py $ASSETMLDIR
++echo " to translate words run: $PYTHON $CPDIR/letters-trans.py $ASSETMLDIR"
+ echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
+ echo " Be sure to read the README-MEMORY file on how you can"
+ echo " use your own pictures in the memory game."
+ echo ""
diff --git a/games/childsplay/files/patch-Makefile b/games/childsplay/files/patch-Makefile
index 6995224989e..281f64d6481 100644
--- a/games/childsplay/files/patch-Makefile
+++ b/games/childsplay/files/patch-Makefile
@@ -1,34 +1,11 @@
---- Makefile.orig Tue Jun 29 10:42:05 2004
-+++ Makefile Sun Jul 11 23:11:10 2004
-@@ -4,12 +4,13 @@
- PREFIX = /usr/local
-
- LOCALEDIR = $(PREFIX)/share/locale
--ASSETMLDIR = /usr/share/assetml
-+ASSETMLDIR = $(PREFIX)/share/gnome/assetml
- PYTHON = /usr/bin/env python
--DOCDIR = $(PREFIX)/doc/childsplay
-+DOCDIR = $(PREFIX)/share/doc/childsplay
- MANDIR = $(PREFIX)/man
--DESTDIR = $(PREFIX)/games/childsplay
-+DESTDIR = $(PREFIX)/childsplay
-
-+all: childsplay
- default: childsplay
-
- install:
-@@ -36,12 +37,12 @@
- @cp -rf lib $(DESTDIR)
-
- @echo "Copy docs to $(MANDIR) and $(DOCDIR)"
-- @cp -rf man/childsplay.6.gz $(MANDIR)
-+ @cp -rf man/childsplay.6.gz $(MANDIR)/man6
- @cp -rf doc/* $(DOCDIR)
-
- @echo "Looking for old locale files, and removing them"
- @sh ./cleanup.sh
--
+--- Makefile.orig Wed Apr 20 11:08:53 2005
++++ Makefile Wed Apr 20 11:08:45 2005
+@@ -0,0 +1,8 @@
++PYTHON = /usr/bin/env python
+
- @echo "Copy locales to $(LOCALEDIR)"
- @cp -rf locale/* $(LOCALEDIR)
-
++all:
++ @echo "Compiling modules to bytecode..."
++ @$(PYTHON) install.py --compile .
++ @$(PYTHON) install.py --compile ./lib
++install:
++ ./INSTALL.sh
diff --git a/games/childsplay/files/patch-cleanup.sh b/games/childsplay/files/patch-cleanup.sh
deleted file mode 100644
index c9ac2c81b70..00000000000
--- a/games/childsplay/files/patch-cleanup.sh
+++ /dev/null
@@ -1,15 +0,0 @@
---- cleanup.sh.orig Tue Jun 29 10:42:05 2004
-+++ cleanup.sh Sun Jul 11 23:58:19 2004
-@@ -1,7 +1,11 @@
- #!/bin/sh
-+PREFIX=/usr/local
-
- for old in childsplay.mo letters.mo numbers.mo memory.mo \
- soundmemory.mo soundNpic.mo packid.mo; do
- echo "Looking for $old"
-- find /usr/share/locale/ -name $old -exec rm -v {} \;
-+ if [ -e $PREFIX/share/locale ]
-+ then
-+ find $PREFIX/share/locale/ -name $old -exec rm -v {} \;
-+ fi
- done
diff --git a/games/childsplay/files/patch-letter-trans.py b/games/childsplay/files/patch-letter-trans.py
deleted file mode 100644
index 60c1cdbb346..00000000000
--- a/games/childsplay/files/patch-letter-trans.py
+++ /dev/null
@@ -1,12 +0,0 @@
---- letters-trans.py.orig Tue Jun 29 10:42:05 2004
-+++ letters-trans.py Wed Jul 7 11:28:25 2004
-@@ -60,7 +60,8 @@
- sys.exit(0)
-
- # get description names from memory assetml, these are the words used by letters.py
--parser = pyassetml.AssetmlParser('childsplay/memory-136x136/memory-136x136.assetml')
-+assetmlfile = os.path.join(cwd,'memory-136x136.assetml')
-+parser = pyassetml.AssetmlParser(assetmlfile)
- loc = parser.get_locale()# get current locale setting, only the first two chars !!
- wlist_org = parser.find_names((('file','.'),('description',"en")))
- wlist = parser.find_names((('file','.'),('description',loc)))
diff --git a/games/childsplay/files/patch-letters.py b/games/childsplay/files/patch-letters.py
deleted file mode 100644
index f5e4ec41a54..00000000000
--- a/games/childsplay/files/patch-letters.py
+++ /dev/null
@@ -1,15 +0,0 @@
---- lib/letters.py.orig Tue Jun 29 10:42:05 2004
-+++ lib/letters.py Mon Jul 12 10:15:43 2004
-@@ -80,7 +80,11 @@
- loc = 'en'
- self.trans_descr_pics = {}
- for k,v in descr_pics.items():
-- found = parser.find_names((('file',k),('description',loc)))[0]
-+ try:
-+ found = parser.find_names((('file',k),('description',loc)))[0]
-+ except TypeError:
-+ if DEBUG: print >> sys.stderr,"Error in names searching, assetml","descr_pics",descr_pics,"locale",loc
-+ found = None
- if found:
- self.trans_descr_pics[found.upper()] = v
- else:
diff --git a/games/childsplay/files/patch-pyassetml.py b/games/childsplay/files/patch-pyassetml.py
deleted file mode 100644
index a243fc65366..00000000000
--- a/games/childsplay/files/patch-pyassetml.py
+++ /dev/null
@@ -1,10 +0,0 @@
---- pyassetml.py.orig Tue Jun 29 10:42:05 2004
-+++ pyassetml.py Sun Jul 11 22:31:09 2004
-@@ -158,6 +159,7 @@
-
- def get_locale(self):
- loc = locale.setlocale(locale.LC_ALL,'')[:2]
-+ if loc == 'C': loc = 'en'
- return loc
-
- def _get_nodes(self):
diff --git a/games/childsplay/files/patch-pyassetmlSDL.py b/games/childsplay/files/patch-pyassetmlSDL.py
new file mode 100644
index 00000000000..1c446f8535e
--- /dev/null
+++ b/games/childsplay/files/patch-pyassetmlSDL.py
@@ -0,0 +1,13 @@
+--- pyassetmlSDL.py.orig Wed Apr 20 11:41:47 2005
++++ pyassetmlSDL.py Wed Apr 20 11:42:32 2005
+@@ -76,8 +76,10 @@
+ pygame.mixer.music.load(self.s)
+ pygame.mixer.music.play(loop)
+ def stop(self):
+ pygame.mixer.music.stop()
++ def queue(self):
++ pygame.mixer.music.queue(self.s)
+
+ class NoneSound:
+ def play(self,loop=0):
+ pass